edition = "2021"
match_arm_leading_pipes = "Preserve"
match_block_trailing_comma = true
newline_style = "Unix"
use_field_init_shorthand = true
use_try_shorthand = true


### Repeat default settings
array_width = 60
attr_fn_like_width = 70
chain_width = 60
disable_all_formatting = false
fn_call_width = 60
force_explicit_abi = true
hard_tabs = false
max_width = 100
merge_derives = true
remove_nested_parens = true
reorder_imports = true
reorder_modules = true
single_line_if_else_max_width = 50
struct_lit_width = 18
struct_variant_width = 35
tab_spaces = 4
use_small_heuristics = "Default"
fn_params_layout = "Tall"
